# Other user functions

There are a number of other functions that can be utilized by users in specific scenarios.

* **depositAndBorrow** → combining deposit and borrow in a single transaction
* **repayAndWithdraw →** combining repaying and withdrawing in a single transaction
* **commitUser** → update an individual account, recognising earnings/losses from yield farming
* **liquidateUsers** → liquidate one or more user unhealthy user positions
* **allowOnBehalf** → allowing a users to authorize a specific address to act on its behalf
* **borrowOnBehalfOf →** a pre-approved user borrows assets on behalf of another user
* **repayBadDebt →** repaying bad debt for a user who’s supply token balance is 0


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altitude.fi/general/protocol-overview/how-do-users-interact-with-a-vault/other-user-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
